mkdir -p "backup_${APP}_$(date +%d-%m-%y)"

mysqldump --host="$DB_HOST" --port="$DB_PORT" --user="$DB_USER" --password="$DB_PASSWORD" "$DB_NAME" > "backup_${APP}_$(date +%d-%m-%y)/dump.sql"

tar -zcvf "backup_${APP}_$(date +%d-%m-%y).tar.gz" "./backup_${APP}_$(date +%d-%m-%y)"

aws s3 cp "backup_${APP}_$(date +%d-%m-%y).tar.gz" "$BUCKET"

curl -X POST --data-urlencode "payload={\"channel\": \"#devops\", \"username\": \"BackupBot\", \"text\": \"Backup notification: Backup for  ${APP} successful :white_check_mark: .\", \"icon_emoji\": \":baamtu:\"}" "$SLACK_WEBHOOK_URL"